summaryrefslogtreecommitdiffstats
path: root/python/python3-weasyprint
diff options
context:
space:
mode:
Diffstat (limited to 'python/python3-weasyprint')
-rw-r--r--python/python3-weasyprint/README12
-rw-r--r--python/python3-weasyprint/python3-weasyprint.SlackBuild101
-rw-r--r--python/python3-weasyprint/python3-weasyprint.info10
-rw-r--r--python/python3-weasyprint/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/python/python3-weasyprint/README b/python/python3-weasyprint/README
new file mode 100644
index 0000000000..67b8db4685
--- /dev/null
+++ b/python/python3-weasyprint/README
@@ -0,0 +1,12 @@
+WeasyPrint is a smart solution helping web developers to create PDF
+documents. It turns simple HTML pages into gorgeous statistical reports,
+invoices, tickets…
+
+From a technical point of view, WeasyPrint is a visual rendering engine
+for HTML and CSS that can export to PDF. It aims to support web
+standards for printing. WeasyPrint is free software made available under
+a BSD license.
+
+It is based on various libraries but not on a full rendering engine like
+WebKit or Gecko. The CSS layout engine is written in Python, designed
+for pagination, and meant to be easy to hack on.
diff --git a/python/python3-weasyprint/python3-weasyprint.SlackBuild b/python/python3-weasyprint/python3-weasyprint.SlackBuild
new file mode 100644
index 0000000000..e78c2ab74a
--- /dev/null
+++ b/python/python3-weasyprint/python3-weasyprint.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/bash
+
+# Slackware build script for python3-weasyprint
+
+# Copyright 2023, Lockywolf
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=python3-weasyprint
+TARNAM=weasyprint
+VERSION=${VERSION:-60.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARNAM-$VERSION
+tar xvf $CWD/$TARNAM-$VERSION.tar.gz
+cd $TARNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python3 -m build --wheel --no-isolation
+python3 -m installer --destdir "$PKG" dist/*.whl
+
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.rst docs \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/python/python3-weasyprint/python3-weasyprint.info b/python/python3-weasyprint/python3-weasyprint.info
new file mode 100644
index 0000000000..7f250d6910
--- /dev/null
+++ b/python/python3-weasyprint/python3-weasyprint.info
@@ -0,0 +1,10 @@
+PRGNAM="python3-weasyprint"
+VERSION="60.1"
+HOMEPAGE="https://pypi.org/project/weasyprint"
+DOWNLOAD="https://files.pythonhosted.org/packages/05/56/4a6733f43a357b99e6bb5e8c8fdb6d817e993367534e83df694dd2bb1604/weasyprint-60.1.tar.gz"
+MD5SUM="fc43c87364b7c1bb4244f5b6b7331204"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="cssselect2 python3-pyphen python3-pydyf html5lib python3-fonttools"
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.python3-weasyprint_2023-12-04@lockywolf.net"
diff --git a/python/python3-weasyprint/slack-desc b/python/python3-weasyprint/slack-desc
new file mode 100644
index 0000000000..42e1624628
--- /dev/null
+++ b/python/python3-weasyprint/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python3-weasyprint: python3-weasyprint (The Awesome Document Factory)
+python3-weasyprint:
+python3-weasyprint: From a technical point of view, WeasyPrint is a visual rendering
+python3-weasyprint: engine for HTML and CSS that can export to PDF. It aims to support
+python3-weasyprint: web standards for printing. WeasyPrint is free software made
+python3-weasyprint: available under a BSD license.
+python3-weasyprint:
+python3-weasyprint:
+python3-weasyprint:
+python3-weasyprint:
+python3-weasyprint: